﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace PurchasingMgrWP
{
    class SilverlightObjectTagControl : WebControl
    {
        public string Source { get; set; }
        public string InitParameters { get; set; }

        protected override void CreateChildControls()
        {
            base.CreateChildControls();

            if (Source != null && Source != "")
            {
                string width = (this.Width == Unit.Empty) ? "400" : this.Width.ToString();
                string height = (this.Height == Unit.Empty) ? "300" : this.Height.ToString();

                this.Controls.Add(new LiteralControl(
                "<div>" +
                "  <object data=\"data:application/x-silverlight-2,\" type=\"application/x-silverlight-2\" width=\"" + width + "\" height=\"" + height + "\">" +
                "      <param name=\"source\" value=\"" + Source + "\"/>" +
                "      <param name=\"onerror\" value=\"onSilverlightError\" />" +
                "      <param name=\"background\" value=\"white\" />" +
                "      <param name=\"minRuntimeVersion\" value=\"4.0.50826.0\" />" +
                "      <param name=\"autoUpgrade\" value=\"true\" />" +
                "      <param name=\"initparams\" value=\"" + InitParameters + "\" />" +
                "      <a href=\"http://go.microsoft.com/fwlink/?LinkID=149156&v=4.0.50826.0\" style=\"text-decoration: none;\">" +
                "           <img src=\"http://go.microsoft.com/fwlink/?LinkId=161376\" alt=\"Get Microsoft Silverlight\" style=\"border-style: none\"/>" +
                "      </a>" +
                "  </object>" +
                "  <iframe id=\"_sl_historyFrame\" style='visibility:hidden;height:0;width:0;border:0px'></iframe>" +
                "</div>"
                ));

            }
        }
    }
}
